Download it now!
Bug 77708 - EDITING: Set "Collect at end of section" option independently for parent/child sections.
Summary: EDITING: Set "Collect at end of section" option independently for parent/chil...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2014-04-21 03:31 UTC by Owen Genat (retired)
Modified: 2019-08-30 23:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
ZIP containing examples created under v3572, v4142, and v4233. (26.22 KB, application/zip)
2014-04-21 03:31 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Genat (retired) 2014-04-21 03:31:54 UTC
Created attachment 97658 [details]
ZIP containing examples created under v3572, v4142, and v4233.

Problem description: It is impossible to set the endnote option "Collect at end of section" independently for parent and child sections. Multi-column layout requires use of a section. Placing an "Endnotes" title (or content of any kind) immediately above the list of endnotes also requires the use of a section (bug 58521 relates to endnotes always commencing on a new page). The related AskLO thread is:

http://ask.libreoffice.org/en/question/32921/

I am mainly raising this report to gain some clarity on this issue of how nested sections are to be treated with respect to this particular footnotes / endnotes option. It would seem there are real cases for requiring independent treatment of this option, or at least some sort of alternative handling to prevent a difference in visual appearance on closing and re-opening a file.

Steps to reproduce:
1. Type into new Writer document (each entry on a separate line and leaving a single blank line after "Endnotes"):

   Chapter 1
   text
   Chapter 2
   text
   Endnotes

2. Highlight the first "text" > Insert > Section... 
   a. Section tab > enter name of "child1".
   b. Columns tab > select 2-column option.
   c. Footnotes/Endnotes tab > Endnotes section > note option "Collect at end of section" is unchecked.
   d. Click Insert.
3. Highlight the second "text" > Insert > Section... 
   a. Section tab > enter name of "child2".
   b-d. Repeat as above
4. Place cursor at the end of "Chapter 1" > Insert > Footnote/Endnote...
   a. Select Type of Endnote > Click OK.
   b. Note that endnote appears on new page at document end (as expected).
   c. Enter "Chapter 1 title endnote."
5. Place cursor at the end of first "text" > Insert > Footnote/Endnote...
   a-b. As above.
   c. Enter "Chapter 1 text endnote."
6. Repeat 4-5 for chapter 2 title and text entries. At this point there are four endnotes all gathered at the end of the document.
7. Highlight text "Chapter 1 ... Endnotes" > Insert > Section...
   a. Section tab > enter name of "parent1".
   b. Footnotes/Endnotes tab > Endnotes section > check option "Collect at end of section".
   c. Click Insert.
8. At this point all endnotes are pulled back, in existing order, and placed immediately beneath "Endnotes".
9. Save file as ODT.
10. Exit LO.
11. Re-open saved file.

Current behaviour: Each endnote anchored to a "text" entry (child section) is moved to the end of the respective child section. Examination of each child section reveals it has had the "Collect at end of section" option set (and can no longer be set independently of the same setting for the parent section). Thus the parent section setting overrides the child section setting.

Expected behaviour: The "Collect at end of section" option can be set independently for parent and child sections. The text entry for an endnote is either moved at the time of an action (parent section insertion) OR remains anchored in a fixed position between saving / closing / re-opening of a file.

I have tested this behaviour under Crunchbang 11 x86_64 running:

- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v4.2.3.3 Build ID: 882f8a0a489bc99a9e60c7905a60226254cb6ff0

... and Debian 7 x86_64 running:

- v4.1.4.2 Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

At step #8 v3572 places the "Chapter 2 text endnote" at the end of the child2 section. Otherwise behaviour is identical.

Operating System: Debian
Version: 4.1.0.4 release
Comment 1 Owen Genat (retired) 2014-04-21 03:50:02 UTC
Version 4.1.0.4 was the earliest available release offered via the BSA. Version set back to v3.5.7.2 release (as per comment 0), but it may well be inherited from OOo.
Comment 2 Buovjaga 2014-11-18 09:04:12 UTC
I reproduced the behavior from scratch after saving and confirmed the Collect at end of section option got checked (Navigator - right-click child1/2 - Edit - Options)

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 3 QA Administrators 2015-12-20 16:12:35 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-01-03 19:48:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103